<ion-menu [content]="content">
  <ion-header class="sidemenu_header">
    <ion-row class="sidemenu_header_row">
      <ion-col col-3 text-center>
        <div class="sidemenu_header_icon">
          <img src="assets/imgs/person.png" class="sidemenu_person">
        </div>
      </ion-col>
      <ion-col col-9 text-left style="padding-top:10%;">
        <div class="sidemenu_header_name" text-capitalize>{{this.common?.loginData.FullName}}</div>
        <div class="sidemenu_header_business" text-capitalize>{{this.common?.selectedBusiness.business_name}}</div>
      </ion-col>
    </ion-row>
  </ion-header>

  <ion-content style="margin-top:10%;" scroll="true">
    <ion-list class="sidemenu_items">
      <button menuClose ion-item>
        <ion-icon ios="ios-paper" md="md-paper" class="list_icon"></ion-icon><span class="list_name">{{translate.sideMenuPage[0][translate.selectedlanguage]}}</span>
      </button>
    </ion-list>
    <ion-list class="sidemenu_items">
      <button menuClose ion-item (click)="openItemsPage()">
        <ion-icon ios="ios-list" md="md-list" class="list_icon"></ion-icon><span class="list_name">{{translate.sideMenuPage[1][translate.selectedlanguage]}}</span>
      </button>
    </ion-list>
    <ion-list class="sidemenu_items">
      <button menuClose ion-item (click)="openClientsPage()">
        <ion-icon ios="ios-contacts" md="md-contacts" class="list_icon"></ion-icon><span class="list_name">{{translate.sideMenuPage[2][translate.selectedlanguage]}}</span>
      </button>
    </ion-list>
    <ion-list class="sidemenu_items">
      <button menuClose ion-item (click)="openScanItemPage()">
        <ion-icon ios="ios-qr-scanner" md="md-qr-scanner" class="list_icon"></ion-icon><span class="list_name">Scan</span>
      </button>
    </ion-list>
    <ion-list class="sidemenu_items">
      <button menuClose ion-item (click)="openShareFilePagePage()">
        <ion-icon ios="ios-share" md="md-share" class="list_icon"></ion-icon><span class="list_name">Share</span>
      </button>
    </ion-list>
    <hr>
    <ion-list class="sidemenu_items">
      <button menuClose ion-item (click)="changeBusiness()">
        <ion-icon ios="ios-options" md="ios-options" class="list_icon"></ion-icon><span class="list_name">{{translate.sideMenuPage[3][translate.selectedlanguage]}}</span>
      </button>
    </ion-list>
    <ion-list class="sidemenu_items">
      <button menuClose ion-item (click)="changeLanguage()">
        <ion-icon ios="ios-aperture" md="ios-aperture" class="list_icon"></ion-icon><span class="list_name">{{translate.sideMenuPage[4][translate.selectedlanguage]}}</span>
      </button>
    </ion-list>
    <ion-list class="sidemenu_items">
      <button menuClose ion-item (click)="openSettingsPage()">
        <ion-icon ios="ios-settings" md="md-settings" class="list_icon"></ion-icon><span class="list_name">{{translate.sideMenuPage[5][translate.selectedlanguage]}}</span>
      </button>
    </ion-list>
    <ion-list class="sidemenu_items">
      <button menuClose ion-item (click)="openContactusPage()">
        <ion-icon ios="ios-call" md="md-call" class="list_icon"></ion-icon><span class="list_name">{{translate.sideMenuPage[6][translate.selectedlanguage]}}</span>
      </button>
    </ion-list>
    <hr>
    <ion-list class="sidemenu_items">
      <button menuClose ion-item (click)="openYouTube()">
        <ion-icon ios="ios-videocam" md="md-videocam" class="list_icon"></ion-icon><span class="list_name">{{translate.sideMenuPage[7][translate.selectedlanguage]}}</span>
      </button>
    </ion-list>
    <ion-list class="sidemenu_items">
      <button menuClose ion-item (click)="openPlayStore()">
        <ion-icon ios="ios-star-half" md="md-star-half" class="list_icon"></ion-icon><span class="list_name">{{translate.sideMenuPage[8][translate.selectedlanguage]}}</span>
      </button>
    </ion-list>
    <ion-list class="sidemenu_items">
      <button menuClose ion-item (click)="logout()">
        <ion-icon ios="ios-log-out-outline" md="ios-log-out-outline" class="list_icon"></ion-icon><span class="list_name">{{translate.sideMenuPage[9][translate.selectedlanguage]}}</span>
      </button>
    </ion-list>
  </ion-content>
</ion-menu>

<ion-nav [root]="rootPage" #content swipeBackEnabled="false"></ion-nav>

